JSONPojoConvertor.Setter (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.util.ajax

## Class JSONPojoConvertor.Setter

- java.lang.Object
- - org.eclipse.jetty.util.ajax.JSONPojoConvertor.Setter

- Enclosing class:
    JSONPojoConvertor

      public static class JSONPojoConvertor.Setter
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Class<?>` | `_componentType`
    `protected JSONPojoConvertor.NumberType` | `_numberType`
    `protected String` | `_propertyName`
    `protected Method` | `_setter`
    `protected Class<?>` | `_type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JSONPojoConvertor.Setter(String propertyName, Method method)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<?>` | `getComponentType()`
    `Method` | `getMethod()`
    `JSONPojoConvertor.NumberType` | `getNumberType()`
    `String` | `getPropertyName()`
    `Class<?>` | `getType()`
    `void` | `invoke(Object obj, Object value)`
    `protected void` | `invokeObject(Object obj, Object value)`
    `boolean` | `isPropertyNumber()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _propertyName

          protected String _propertyName

    - #### _setter

          protected Method _setter

    - #### _numberType

          protected JSONPojoConvertor.NumberType _numberType

    - #### _type

          protected Class<?> _type

    - #### _componentType

          protected Class<?> _componentType

  - ### Constructor Detail

    - #### JSONPojoConvertor.Setter

          public JSONPojoConvertor.Setter(String propertyName,
                                  Method method)

  - ### Method Detail

    - #### getPropertyName

          public String getPropertyName()

    - #### getMethod

          public Method getMethod()

    - #### getNumberType

          public JSONPojoConvertor.NumberType getNumberType()

    - #### getType

          public Class<?> getType()

    - #### getComponentType

          public Class<?> getComponentType()

    - #### isPropertyNumber

          public boolean isPropertyNumber()

    - #### invoke

          public void invoke(Object obj,
                    Object value)
                      throws IllegalArgumentException,
                             IllegalAccessException,
                             InvocationTargetException

      Throws:
        `IllegalArgumentException`
        `IllegalAccessException`
        `InvocationTargetException`

    - #### invokeObject

          protected void invokeObject(Object obj,
                          Object value)
                               throws IllegalArgumentException,
                                      IllegalAccessException,
                                      InvocationTargetException

      Throws:
        `IllegalArgumentException`
        `IllegalAccessException`
        `InvocationTargetException`

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.